# class RSS::Maker::RSS10::Image

### Public Instance Methods

have_required_values?() click to toggle source
Calls superclass method

    # File lib/rss/maker/1.0.rb, line 209
    def have_required_values?
      super and @maker.channel.have_required_values?
    end

to_feed(rss) click to toggle source

    # File lib/rss/maker/1.0.rb, line 197
    def to_feed(rss)
      if @url
        image = RDF::Image.new(@url)
        set = setup_values(image)
        if set
          rss.image = image
          set_parent(image, rss)
          setup_other_elements(rss, image)
        end
      end
    end

### Private Instance Methods

required_variable_names() click to toggle source

    # File lib/rss/maker/1.0.rb, line 218
    def required_variable_names
      %w(url title link)
    end

variables() click to toggle source
Calls superclass method

    # File lib/rss/maker/1.0.rb, line 214
    def variables
      super + ["link"]
    end